org.apache.uima.resource.metadata.impl

## Class ConfigurationGroup_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.ConfigurationGroup_impl

- All Implemented Interfaces:
    Serializable, Cloneable, ConfigurationGroup, MetaDataObject, XMLizable

      public class ConfigurationGroup_impl
      extends MetaDataObject_impl
      implements ConfigurationGroup

  Reference implementation of `ConfigurationGroup`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationGroup_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfigurationParameter(ConfigurationParameter aConfigurationParameter)` Adds a Configuration Parameter to this group.
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden to read `names` property from XML attribute.
    `ConfigurationParameter[]` | `getConfigurationParameters()` Gets the configuration parameters in this group.
    `String[]` | `getNames()` Gets the group names for this `ConfigurationGroup` object.
    `protected AttributesImpl` | `getXMLAttributes()` Overridden to write the `names` property as an XML attribute.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `removeConfigurationParameter(ConfigurationParameter aConfigurationParameter)` Removes an Configuration Parameter from this group.
    `void` | `setConfigurationParameters(ConfigurationParameter[] aParams)` Sets the configuration parameters in this group.
    `void` | `setNames(String[] aNames)` Sets the group names for this `ConfigurationGroup` object.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ConfigurationGroup_impl

          public ConfigurationGroup_impl()

  - ### Method Detail

    - #### getNames

          public String[] getNames()

      Description copied from interface: `ConfigurationGroup`
      Gets the group names for this `ConfigurationGroup` object.
      Specified by:
        `getNames` in interface `ConfigurationGroup`
      Returns:
        an array of group names. Names are not allowed to contain whitespace.
      See Also:
        `ConfigurationGroup.getNames()`

    - #### setNames

          public void setNames(String[] aNames)

      Description copied from interface: `ConfigurationGroup`
      Sets the group names for this `ConfigurationGroup` object.
      Specified by:
        `setNames` in interface `ConfigurationGroup`
      Parameters:
        `aNames` - an array of group names. Names are not allowed to contain whitespace.
      See Also:
        `ConfigurationGroup.setNames(java.lang.String[])`

    - #### getConfigurationParameters

          public ConfigurationParameter[] getConfigurationParameters()

      Description copied from interface: `ConfigurationGroup`
      Gets the configuration parameters in this group.
      Specified by:
        `getConfigurationParameters` in interface `ConfigurationGroup`
      Returns:
        an array containing `ConfigurationParameter` objects, each of which describes a configuration parameter in this group.
      See Also:
        `ConfigurationGroup.getConfigurationParameters()`

    - #### setConfigurationParameters

          public void setConfigurationParameters(ConfigurationParameter[] aParams)

      Description copied from interface: `ConfigurationGroup`
      Sets the configuration parameters in this group.
      Specified by:
        `setConfigurationParameters` in interface `ConfigurationGroup`
      Parameters:
        `aParams` - an array containing `ConfigurationParameter` objects, each of which describes a configuration parameter in this group.
      See Also:
        `ConfigurationGroup.setConfigurationParameters(ConfigurationParameter[])`

    - #### addConfigurationParameter

          public void addConfigurationParameter(ConfigurationParameter aConfigurationParameter)

      Description copied from interface: `ConfigurationGroup`
      Adds a Configuration Parameter to this group.
      Specified by:
        `addConfigurationParameter` in interface `ConfigurationGroup`
      Parameters:
        `aConfigurationParameter` - the Configuration Parameter to add

    - #### removeConfigurationParameter

          public void removeConfigurationParameter(ConfigurationParameter aConfigurationParameter)

      Description copied from interface: `ConfigurationGroup`
      Removes an Configuration Parameter from this group.
      Specified by:
        `removeConfigurationParameter` in interface `ConfigurationGroup`
      Parameters:
        `aConfigurationParameter` - the Configuration Parameter to remove (must be == with an ConfigurationParameter in this group, or this method will do nothing).

    - #### getXMLAttributes

          protected AttributesImpl getXMLAttributes()

      Overridden to write the `names` property as an XML attribute.
      Overrides:
        `getXMLAttributes` in class `MetaDataObject_impl`
      Returns:
        an object defining the attributes to be written to the XML
      See Also:
        `MetaDataObject_impl.getXMLAttributes()`

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Overridden to read `names` property from XML attribute.
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object
      See Also:
        `XMLizable.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation
      See Also:
        `MetaDataObject_impl.getXmlizationInfo()`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.